cache:
  paths:
    - node_modules
    - .nuxt

stages:
  - test
  - build
  - publish

'[TESTS] Lighthouse':
  image: cypress/browsers:latest
  before_script:
    - npm install -g @lhci/cli
  script:
    - npm install
    - npm run build
    - npm run generate
    - lhci autorun || echo "LHCI failed!"
